//########## AN94
datablock AudioProfile(AN94WhizSound){filename="./Sounds/whiz.wav";description=AudioClosest3d;preload=true;};

datablock AudioProfile(AN94DeploySound){filename="./Sounds/equip.wav";description=AudioClosest3d;preload=true;};

datablock AudioProfile(AN94HitSound){filename="./Add-Ons/Weapon_Gun/bulletHit.wav";description=AudioClosest3d;preload=true;};

datablock AudioProfile(AN94MetalHitSound){filename="./Add-Ons/Weapon_Gun/bulletHit.wav";description=AudioClosest3d;preload=true;};

datablock AudioProfile(AN94FireSound){filename="./Sounds/AN94fire.wav";description=AudioClose3d;preload=true;};

datablock AudioProfile(AN94ClickSound){filename="./Sounds/empty.wav";description=AudioClosest3d;preload=true;};

datablock AudioProfile(AN94Reload1Sound){filename="./Sounds/AN94Reload1.wav";description=AudioClosest3d;preload=true;};

datablock AudioProfile(AN94Reload2Sound){filename="./Sounds/AN94Reload2.wav";description=AudioClosest3d;preload=true;};

datablock AudioProfile(AN94CockSound){filename="./Sounds/AN94Cock.wav";description=AudioClosest3d;preload=true;};

datablock ParticleData(AN94bulletExplosionParticle){dragCoefficient=8;gravityCoefficient=0;inheritedVelFactor=0.2;constantAcceleration=0;lifetimeMS=1000;lifetimeVarianceMS=0;textureName="base/data/particles/cloud";spinSpeed=10;spinRandomMin=-50;spinRandomMax=50;colors[0]="0.4 0.4 0.4 0.5";colors[1]="0.2 0.2 0.2 0";sizes[0]=0.5;sizes[1]=2;useInvAlpha=true;};

datablock ParticleEmitterData(AN94bulletExplosionEmitter){uiName="";ejectionPeriodMS=8;periodVarianceMS=0;ejectionVelocity=2;velocityVariance=1;ejectionOffset=0;thetaMin=89;thetaMax=90;phiReferenceVel=0;phiVariance=360;overrideAdvance=false;particles="AN94bulletExplosionParticle";};

datablock ParticleData(AN94bulletDebrisExplosionParticle){dragCoefficient=0;gravityCoefficient=5;inheritedVelFactor=0.2;constantAcceleration=0;lifetimeMS=1000;lifetimeVarianceMS=500;textureName="base/data/particles/chunk";spinSpeed=10;spinRandomMin=-50;spinRandomMax=50;colors[0]="0.2 0.2 0.2 1";colors[1]="0.1 0.2 0.1 0";sizes[0]=0.2;sizes[1]=0.2;useInvAlpha=true;};

datablock ParticleEmitterData(AN94bulletDebrisExplosionEmitter){uiName="";ejectionPeriodMS=3;periodVarianceMS=0;ejectionVelocity=16;velocityVariance=8;ejectionOffset=0;thetaMin=0;thetaMax=30;phiReferenceVel=0;phiVariance=360;overrideAdvance=false;particles="AN94bulletDebrisExplosionParticle";};

datablock ParticleData(AN94bulletExplosionSmokeParticle : AN94bulletExplosionParticle){dragCoefficient=6;gravityCoefficient=0.2;inheritedVelFactor=0;lifetimeMS=1400;lifetimeVarianceMS=200;textureName="base/data/particles/cloud";colors[0]="0.6 0.6 0.6 1";colors[1]="0.6 0.6 0.6 0.2";colors[2]="0.4 0.4 0.4 0";sizes[0]=0.5;sizes[1]=0.6;sizes[2]=5;times[0]=0;times[1]=0.1;times[2]=1;useInvAlpha=true;};

datablock ParticleEmitterData(AN94bulletExplosionSmokeEmitter : AN94bulletExplosionEmitter){uiName="";ejectionPeriodMS=8;ejectionVelocity=9;velocityVariance=8;thetaMin=0;thetaMax=30;overrideAdvance=false;particles="AN94bulletExplosionSmokeParticle";};

datablock ExplosionData(AN94bulletExplosion){lifeTimeMS=50;emitter[0]=AN94bulletExplosionSmokeEmitter;emitter[1]=AN94bulletDebrisExplosionEmitter;faceViewer=true;explosionScale="1 1 1";shakeCamera=true;camShakeFreq="2 2 2";camShakeAmp="1 1 1";camShakeDuration=0.5;camShakeRadius=1;};

datablock ExplosionData(AN94RecoilExplosion){lifeTimeMS=1;explosionScale="1 1 1";shakeCamera=true;camShakeFreq="1.5 1.5 1.5";camShakeAmp="0.4 0.4 0.5";camShakeDuration=0.6;camShakeRadius=1;};

datablock ProjectileData(AN94Recoil){uiName="";explosion=AN94RecoilExplosion;muzzleVelocity=0;velInheritFactor=1;lifetime=1;fadeDelay=1;explodeOnDeath=true;};

datablock ParticleData(AN94FlashParticle : AN94bulletExplosionParticle){dragCoefficient=0;inheritedVelFactor=1;lifetimeMS=30;textureName="base/data/particles/cloud";spinSpeed=50;spinRandomMin=-500;spinRandomMax=500;colors[0]="1 0.5 0 1";colors[1]="1 0.8 0.6 1";colors[2]="1 0.6 0.3 0";sizes[0]=0.1;sizes[1]=0.5;sizes[2]=0;times[9]=0;times[1]=0.3;times[2]=1;useInvAlpha=false;};

datablock ParticleEmitterData(AN94FlashEmitter : AN94bulletExplosionEmitter){ejectionPeriodMS=3;ejectionVelocity=50;velocityVariance=0;thetaMin=0;thetaMax=10;particles="AN94FlashParticle";uiName="";};

datablock DebrisData(AN94ShellDebris){shapeFile="./Models/modernShell.dts";lifetime=2;minSpinSpeed=-400;maxSpinSpeed=200;elasticity=0.5;friction=0.2;numBounces=3;staticOnMaxBounce=true;snapOnMaxBounce=false;fade=true;gravModifier=2;};

datablock ParticleData(AssaultTrailParticle)
{
	dragCoefficient		= 3.0;
	windCoefficient		= 0.0;
	gravityCoefficient	= 0.0;
	inheritedVelFactor	= 0.0;
	constantAcceleration	= 0.0;
	lifetimeMS		= 120;
	lifetimeVarianceMS	= 0;
	spinSpeed		= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	useInvAlpha		= false;
	animateTexture		= false;
	//framesPerSec		= 1;

	textureName		= "base/data/particles/dot";
	//animTexName		= "~/data/particles/dot";

	// Interpolation variables
	colors[0]	= "1 1 0 1";
	colors[1]	= "1 1 0.4 1";
	colors[2]	= "1 1 1 1";
	sizes[0]	= 0.2;
	sizes[1]	= 0.15;
	sizes[2]	= 0.0;
	times[0]	= 0.0;
	times[1]	= 0.5;
	times[2]	= 1.0;
};

datablock ParticleEmitterData(AssaultTracer)
{
   ejectionPeriodMS = 2;
   periodVarianceMS = 0;

   ejectionVelocity = 0; //0.25;
   velocityVariance = 0; //0.10;

   ejectionOffset = 0;

   thetaMin         = 0.0;
   thetaMax         = 30.0;  

   particles = AssaultTrailParticle;

   useEmitterColors = true;
};

AddDamageType("AN94",'<bitmap:Add-ons/Weapon_Assault/CI_AN94>%1','%2<bitmap:Add-ons/Weapon_Assault/CI_AN94> %1',0.2,1);

datablock ProjectileData(AN94Projectile){uiName="";
projectileShapeName="./Models/modernBullet.dts";
directDamage=35;
directDamageType=$DamageType::AN94;
radiusDamageType=$DamageType::AN94;
brickExplosionRadius=0;
brickExplosionImpact=true;
brickExplosionForce=30;
brickExplosionMaxVolume=1;
brickExplosionMaxVolumeFloating=2;
impactImpulse=60;
explosion=AN94bulletExplosion;
particleEmitter     = "AssaultTracer";
muzzleVelocity=500;
verInheritFactor=1;
lifetime=4000;
fadeDelay=2000;
bounceElasticity=0.5;
bounceFriction=0.2;
isBallistic=true;
gravityMod=0.20;
sound=AN94WhizSound;

};

datablock ItemData(AN94Item){
uiName="AN94";
iconName="./AN94";
image=AN94Image;category=Weapon;
className=Weapon;
shapeFile="./Models/AN94Display.dts";
mass=1;
density=0.2;
elasticity=0;
friction=0.6;
emap=true;
doColorShift=true;
colorShiftColor="1 1 1 1";
canDrop=true;
AN94reload=1;
AN94maxmag=30;
}
;
datablock shapeBaseImageData(AN94Image){shapeFile="./Models/AN94.dts";
emap=true;
correctMuzzleVector=true;className="WeaponImage";
item=AN94Item;
ammo="";
projectile=AN94Projectile;
projectileType=Projectile;
casing=AN94ShellDebris;
shellExitDir="1 0.5 0.5";
shellExitVariance=10;
shellVelocity=6;
melee=false;
doReaction=false;
armReady=true;
doColorShift=true;
colorShiftColor="1 1 1 1";

//#########################################################################################
//#-Sequences-										#
//#											#
//#	fire / fire the weapon								#
//#	reload / reloads the weapon -clipIn and clipOut combined-			#
//#	use / When you equip the weapon -I added this-					#	
//#											#		
//#########################################################################################	
	
	stateName[0]="Activate";
	stateTimeoutValue[0]=0.8;
	stateTransitionOnTimeout[0]="AmmoCheck2";
	stateSequence[0]="use";
	stateSound[0]=AN94DeploySound;

	stateName[1]="Ready";
	stateTransitionOnTriggerDown[1]="Fire1";
	stateAllowImageChange[1]=true;
	stateTransitionOnNoAmmo[1]="Empty";
	
	stateName[2]="Fire1";
	stateTransitionOnTimeout[2]="AmmoCheck";
	stateTimeoutValue[2]="0.04";
	stateFire[2]=true;
	stateAllowImageChange[2]=false;
	stateWaitForTimeout[2]=true;
	stateEmitter[2]=AN94FlashEmitter;
	stateEmitterTime[2]=0.05;
	stateEmitterNode[2]="muzzlePoint";
	stateSound[2]=AN94FireSound;
	stateScript[2]="onFire1";
	stateEjectShell[2]=true;
	stateSequence[2]="Fire";

	stateName[3]="Fire2";
	stateTransitionOnTimeout[3]="AmmoCheck2";
	stateTimeoutValue[3]="0.09";
	stateFire[3]=true;
	stateAllowImageChange[3]=false;
	stateWaitForTimeout[3]=true;
	stateEmitter[3]=AN94FlashEmitter;
	stateEmitterTime[3]=0.05;
	stateEmitterNode[3]="muzzlePoint";
	stateSound[3]=AN94FireSound;
	stateScript[3]="onFire1";
	stateEjectShell[3]=true;
	stateSequence[3]="Fire";
	
	stateName[4]="AmmoCheck";
	stateTransitionOnTimeout[4]="Fire2";
	stateAllowImageChange[4]=true;
	stateScript[4]="onAmmoCheck";

    stateName[5]="AmmoCheck2";
	stateTransitionOnTriggerUp[5]="Ready";
	stateAllowImageChange[5]=true;
	stateScript[5]="onAmmoCheck";
	
	stateName[6]="Reload";
	stateTimeoutValue[6]=0.8;
	stateSequence[6]="Reload1";
	stateTransitionOnTimeout[6]="Reload2";
	stateWaitForTimeout[6]=true;
	stateSound[6]=AN94Reload1Sound;
	stateAllowImageChange[6]=true;

	stateName[7]="Reload2";
	stateTimeoutValue[7]=1.9;
	stateSequence[7]="Reload2";
	stateTransitionOnTimeout[7]="Cock";
	stateWaitForTimeout[7]=true;
	stateSound[7]=AN94Reload2Sound;
	stateAllowImageChange[7]=true;
	
	stateName[8]="Cock";
	stateTimeoutValue[8]=1.0;
	stateSequence[8]="Cock";
	stateTransitionOnTimeout[8]="Done";
	stateWaitForTimeout[8]=true;
	stateSound[8]=AN94CockSound;
	stateAllowImageChange[8]=true;
	
	stateName[9]="Done";
	stateTransitionOnTimeout[9]="Ready";
	stateTimeoutValue[9]=0.1;
	stateAllowImageChange[9]=true;
	stateScript[9]="onReload";

    stateName[10]="Empty";
	stateTransitionOnTriggerDown[10]="EmptyFire";
	stateAllowImageChange[10]=true;
	stateTransitionOnAmmo[10]="Reload";
	
	stateName[11]="EmptyFire";
	stateTransitionOnTriggerUp[11]="Ready";
	stateTimeoutValue[11]="0.15";
	stateAllowImageChange[11]=false;
	stateWaitForTimeout[11]=true;
	stateSound[11]=AN94ClickSound;

 
};		
	
	datablock shapeBaseImageData(AN94ImageScoped : AN94Image)
{
	offset = "-0.2 0 0"; //-Left +Right, -Back +Front, -Down +Up
   	eyeOffset="0.0 1.0 -0.80"; //-Left +Right, -Back +Front, -Down +Up


	stateName[0]="Activate";
	stateTimeoutValue[0]=0.8;
	stateTransitionOnTimeout[0]="AmmoCheck2";
	stateSequence[0]="use";
	stateSound[0]=AN94DeploySound;

	stateName[1]="Ready";
	stateTransitionOnTriggerDown[1]="Fire1";
	stateAllowImageChange[1]=true;
	stateTransitionOnNoAmmo[1]="Empty";
	
	stateName[2]="Fire1";
	stateTransitionOnTimeout[2]="AmmoCheck";
	stateTimeoutValue[2]="0.04";
	stateFire[2]=true;
	stateAllowImageChange[2]=false;
	stateWaitForTimeout[2]=true;
	stateEmitter[2]=AN94FlashEmitter;
	stateEmitterTime[2]=0.05;
	stateEmitterNode[2]="muzzlePoint";
	stateSound[2]=AN94FireSound;
	stateScript[2]="onFire1";
	stateEjectShell[2]=true;
	stateSequence[2]="Fire";

	stateName[3]="Fire2";
	stateTransitionOnTimeout[3]="AmmoCheck2";
	stateTimeoutValue[3]="0.09";
	stateFire[3]=true;
	stateAllowImageChange[3]=false;
	stateWaitForTimeout[3]=true;
	stateEmitter[3]=AN94FlashEmitter;
	stateEmitterTime[3]=0.05;
	stateEmitterNode[3]="muzzlePoint";
	stateSound[3]=AN94FireSound;
	stateScript[3]="onFire1";
	stateEjectShell[3]=true;
	stateSequence[3]="Fire";
	
	stateName[4]="AmmoCheck";
	stateTransitionOnTimeout[4]="Fire2";
	stateAllowImageChange[4]=true;
	stateScript[4]="onAmmoCheck";

    stateName[5]="AmmoCheck2";
	stateTransitionOnTriggerUp[5]="Ready";
	stateAllowImageChange[5]=true;
	stateScript[5]="onAmmoCheck";
	
	stateName[6]="Reload";
	stateTimeoutValue[6]=0.8;
	stateSequence[6]="Reload1";
	stateTransitionOnTimeout[6]="Reload2";
	stateWaitForTimeout[6]=true;
	stateSound[6]=AN94Reload1Sound;
	stateAllowImageChange[6]=true;

	stateName[7]="Reload2";
	stateTimeoutValue[7]=1.9;
	stateSequence[7]="Reload2";
	stateTransitionOnTimeout[7]="Cock";
	stateWaitForTimeout[7]=true;
	stateSound[7]=AN94Reload2Sound;
	stateAllowImageChange[7]=true;
	
	stateName[8]="Cock";
	stateTimeoutValue[8]=1.0;
	stateSequence[8]="Cock";
	stateTransitionOnTimeout[8]="Done";
	stateWaitForTimeout[8]=true;
	stateSound[8]=AN94CockSound;
	stateAllowImageChange[8]=true;
	
	stateName[9]="Done";
	stateTransitionOnTimeout[9]="Ready";
	stateTimeoutValue[9]=0.1;
	stateAllowImageChange[9]=true;
	stateScript[9]="onReload";

    stateName[10]="Empty";
	stateTransitionOnTriggerDown[10]="EmptyFire";
	stateAllowImageChange[10]=true;
	stateTransitionOnAmmo[10]="Reload";
	
	stateName[11]="EmptyFire";
	stateTransitionOnTriggerUp[11]="Ready";
	stateTimeoutValue[11]="0.15";
	stateAllowImageChange[11]=false;
	stateWaitForTimeout[11]=true;
	stateSound[11]=AN94ClickSound;
};
   
function AN94Image::onAmmoCheck(%this,%obj,%slot)
{
	if(%obj.toolMag[%obj.currTool]<1)
	{	
		%obj.toolMag[%obj.currTool]=0;

	}
	if(%obj.toolMag[%obj.currTool]>%this.item.AN94maxmag)
	
	{
		%obj.toolMag[%obj.currTool]=%this.item.AN94maxmag;
	
	}
	if(%obj.toolMag[%obj.currTool]<1)
	
	{

		%obj.toolMag[%obj.currTool]=0;%obj.setImageAmmo(0,0);

}
}
function AN94Image::onReload(%this,%obj,%slot)
	
{
	%obj.toolMag[%obj.currTool]=%this.item.AN94maxmag;%obj.setImageAmmo(0,1);

}
function AN94Image::onFire1(%this,%obj,%slot)

	{
		%obj.toolMag[%obj.currTool]-=1;if(%obj.toolMag[%obj.currTool]<1)

	{
		%obj.toolMag[%obj.currTool]=0;%obj.setImageAmmo(0,0);

	}
		AN94Fire(%this,%obj,%slot,0.0015,1,0.02);

}
function AN94Image::onFire2(%this,%obj,%slot)
	{
		%obj.toolMag[%obj.currTool]-=1;

	if(%obj.toolMag[%obj.currTool]<1)
	{
		%obj.toolMag[%obj.currTool]=0;%obj.setImageAmmo(0,0);

	}
		AN94Fire(%this,%obj,%slot,0.0030,1,0.04);
}
	function AN94Image::onMount(%this,%obj,%slot)
	
{
	if(%obj.toolMag[%obj.currTool]$="")
	{

		%obj.toolMag[%obj.currTool]=%this.item.AN94maxmag;
}

		parent::onMount(%this,%obj,%slot);

			%obj.hideNode("LHand");
			%obj.hideNode("RHand");
			%obj.hideNode("LHook");
			%obj.hideNode("RHook");
}
function AN94Image::onUnMount(%this,%obj,%slot)

	{
		parent::onUnMount(%this,%obj,%slot);
			%obj.unhideNode("ALL");

	if(isObject(%obj.client))
	{
			%obj.client.applyBodyParts();
			%obj.client.applyBodyColors();
	}
	else{applyDefaultCharacterPrefs(%obj);

	}

			%obj.client.setControlCameraFov(90);

}
function AN94ImageScoped::onAmmoCheck(%this,%obj,%slot)

{
	if(%obj.toolMag[%obj.currTool]<1)

	{
			%obj.toolMag[%obj.currTool]=0;

	}
	if(%obj.toolMag[%obj.currTool]>%this.item.AN94maxmag)

	{
			%obj.toolMag[%obj.currTool]=%this.item.AN94maxmag;

	}
	if(%obj.toolMag[%obj.currTool]<1)

	{
			%obj.toolMag[%obj.currTool]=0;
			%obj.setImageAmmo(0,0);

}
}
function AN94ImageScoped::onReload(%this,%obj,%slot)

		{
			%obj.toolMag[%obj.currTool]=%this.item.AN94maxmag;
			%obj.setImageAmmo(0,1);

}
	function AN94ImageScoped::onFire1(%this,%obj,%slot)

		{
			%obj.toolMag[%obj.currTool]-=1;
	
	if(%obj.toolMag[%obj.currTool]<1)
		
		{
			%obj.toolMag[%obj.currTool]=0;
			%obj.setImageAmmo(0,0);

	}
		AN94Fire(%this,%obj,%slot,0.0015,1,0.02);

}
function AN94ImageScoped::onFire2(%this,%obj,%slot)

{
			%obj.toolMag[%obj.currTool]-=1;

	if(%obj.toolMag[%obj.currTool]<1)

		{
			%obj.toolMag[%obj.currTool]=0;
			%obj.setImageAmmo(0,0);

	}
		AN94Fire(%this,%obj,%slot,0.0030,1,0.04);

}

function AN94ImageScoped::onUnMount(%this,%obj,%slot)

	{
		parent::onUnMount(%this,%obj,%slot);

			%obj.unhideNode("ALL");

	if(isObject(%obj.client))

		{
			%obj.client.applyBodyParts();
			%obj.client.applyBodyColors();

		}
			else{applyDefaultCharacterPrefs(%obj);

		}
			%obj.client.setControlCameraFov(90);

}
function AN94Projectile::onCollision(%this,%obj,%col,%fade,%pos,%norm)

{
	if(%col.getClassName()$="WheeledVehicle"||%col.getClassName()$="FlyingVehicle")serverPlay3D(AN94MetalHitSound,%obj.getTransform());


			else{serverPlay3D(AN94HitSound,%obj.getTransform());

	}
		parent::onCollision(%this,%obj,%col,%fade,%pos,%norm);

}
function AN94Fire(%this,%obj,%slot,%spread,%shellcount,%recoil)


{
	if(%obj.isCrouched()==1){%spread=%spread-0.00001;%recoil=%recoil/2;

}
	if(vectorLen(%obj.getVelocity()) >= 0.1 && !isObject(%obj.getObjectMount()))

		{
			%spread=%spread+0.0001;}%vector=%obj.getMuzzleVector(%slot);%p=new Projectile()

{
dataBlock=AN94Recoil;initialVelocity=%obj.getVelocity();

	initialPosition=%obj.getEyePoint();
	sourceObject=%obj;sourceSlot=%slot;client=%obj.client;};
	for(%shell=0;%shell<%shellcount;
	%shell++){%x=(getRandom()-0.5)*31.415926*%spread;
	%y=(getRandom()-0.5)*30.415926*%spread;
	%z=(getRandom()-0.5)*30.415926*%spread;
	%p=new Projectile(){dataBlock=AN94Projectile;
	initialVelocity=MatrixMulVector(MatrixCreateFromEuler(%x@" "@%y@" "@%z),VectorScale(%obj.getMuzzleVector(%slot),AN94Projectile.muzzleVelocity));
	initialPosition=%obj.getMuzzlePoint(%slot);
	sourceObject=%obj;sourceSlot=%slot;
	client=%obj.client;};
	MissionCleanup.add(%p);

}
	if(isObject(%obj.getObjectMount()))

	{
		return %p;}%a=%obj.getTransform();

			%rnd=getRandom(1);if(%rnd==1)

		{
			%recoil=%recoil*-1;

		}
			%obj.setTransform(getWord(%a,0)@" "@getWord(%a,1)@" "@getWord(%a,2)@" "@getWord(%a,3)@" "@getWord(%a,4)@" "@getWord(%a,5)@" "@getWord(%a,6)+%recoil);

	return %p;}package AN94

{
function GameConnection::onDeath(%this,%killerPlayer,%killer,%damageType,%damageLoc)

{
		%this.player.client.setControlCameraFov(90);

		parent::onDeath(%this,%killerPlayer,%killer,%damageType,%damageLoc);

}
function Armor::onTrigger(%this,%player,%slot,%val){if(isObject(%player.getMountedImage(0)))

	{
		%item=%player.getMountedImage(0).getName();if((%item $= "AN94Image" || %item $= "AN94ImageScoped") && %slot $= 4 && %val)

{
	if(%item$="AN94Image"){%player.mountImage(AN94ImageScoped,0);

			%player.client.setControlCameraFov(70);
}
	if(%item$="AN94ImageScoped")

	{
		%player.mountImage(AN94Image,0);

			%player.client.setControlCameraFov(90);

		}
		}
		else{parent::onTrigger(%this,%player,%slot,%val);

		}
		}
		else{parent::onTrigger(%this,%player,%slot,%val);

}
}
function Player::pickUp(%this,%item)

	{
			%data=%item.dataBlock;
			%mag=%item.mag;
			%status=parent::pickUp(%this,%item);

	if(!%status==1)

	{
		return %status;}
			%slot=-1;
	
	for(%i=0;%i<%this.dataBlock.maxTools;%i++)


	if(isObject(%this.tool[%i])&&%this.tool[%i].getID()==%data.getID()){%slot=%i;break;
}	

	if(%slot == -1)
	
{
		return %val;

}
	if(%mag $= "")

		{
			%this.toolMag[%slot]=%data.AN94maxmag;

		}
			else%this.toolMag[%slot]=%mag;

}
function serverCmdDropTool(%client,%slot)

{
	if(!isObject(%client.player))

	{
		return parent::serverCmdDropTool(%client,%slot);

}
	$weaponMag=%client.player.toolMag[%client.player.currTool];

			%client.player.toolMag[%client.player.currTool]="";

		return parent::serverCmdDropTool(%client,%slot);

}
function ItemData::onAdd(%this,%obj){if($weaponMag!$="")

{
			%obj.mag=$weaponMag;$weaponMag="";

	}
		parent::onAdd(%this,%obj);

}
function serverCmdLight(%client)

	{
		%player=%client.player;

			%image=%player.getMountedImage(0);

	if(%image.item.AN94reload)

{
	if(%player.getImageState(0)$="Ready"||%player.getImageState(0)$="Empty")

{
	if(%player.toolMag[%player.currTool]<%image.item.AN94maxmag)

{
		%player.setImageAmmo(0,0);

			%player.Schedule(50,setImageAmmo,0,1);

		}
			else{parent::serverCmdLight(%client);

	}
	}
		return;}parent::serverCmdLight(%client);

}
}
;activatePackage(AN94);  

function AN94Image::onUnMount(%this,%obj,%slot)

	{
		parent::onUnMount(%this,%obj,%slot);

			%obj.unhideNode("ALL");
            crossHair.setBitmap("base/client/ui/crosshair.png");

	if(isObject(%obj.client))

		{
			%obj.client.applyBodyParts();
			%obj.client.applyBodyColors();

		}
			else{applyDefaultCharacterPrefs(%obj);

		}
			%obj.client.setControlCameraFov(90);

}
function AN94ImageScoped::onUnMount(%this,%obj,%slot)

	{
		parent::onUnMount(%this,%obj,%slot);

			%obj.unhideNode("ALL");
            crossHair.setBitmap("base/client/ui/crosshair.png");

	if(isObject(%obj.client))

		{
			%obj.client.applyBodyParts();
			%obj.client.applyBodyColors();

		}
			else{applyDefaultCharacterPrefs(%obj);

		}
			%obj.client.setControlCameraFov(90);

}

function AN94ImageScoped::onMount(%this,%obj,%slot)
{
    if(%obj.toolMag[%obj.currTool]$="")
{
			%obj.toolMag[%obj.currTool]=%this.item.AN94maxmag;
}

	
		crossHair.setBitmap("add-ons/weapon_pdws/empty.png");
	
    
                parent::onMount(%this,%obj,%slot);
		    	
			    %obj.hideNode("LHand");
			    %obj.hideNode("RHand");
			    %obj.hideNode("LHook");
			    %obj.hideNode("RHook");

}

function AN94Image::onMount(%this,%obj,%slot)
{
    if(%obj.toolMag[%obj.currTool]$="")
{
			%obj.toolMag[%obj.currTool]=%this.item.AN94maxmag;
}

	
		crossHair.setBitmap("base/client/ui/crosshair.png");
	
    
                parent::onMount(%this,%obj,%slot);
		    	
			    %obj.hideNode("LHand");
			    %obj.hideNode("RHand");
			    %obj.hideNode("LHook");
			    %obj.hideNode("RHook");

}